Petition Closed
Petitioning Adobe Systems and 1 other

Convince Adobe to Issue Patches for Older Creative Suite Software on Mac OS X El Capitan

A petition has popped up by Upstate New York Macintosh consulting firm, Capital Mac Service, asking Adobe to issue fixes relating to issues that appeared on older Adobe products, such as CS4, CS5 and CS6 when the new Mac OS X El Capitan arrived. Some of those issues include the infamous Adobe Illustrator CS5 color picker crash on El Capitan (and sometimes Yosemite) and Illustrator CS5 mysteriously quitting on exit (there's a temporary fix here). Vote on this petition to demand Adobe issue patches for older software and not bully you into buying a cloud subscription to the Adobe Creative Suite, even after you purchased CS4, CS5 or CS6.

This petition to force Adobe to fix older Creative Suite CS5 software on the Mac may gain traction and cause them to issue fixes for these annoying Adobe Illustrator CS5 problems on Apple's Mac OS X El Capitan. Please share this article to gain support for Adobe supporting older Mac software and fix these annoying bugs in El Capitan Macintosh systems.

This petition was delivered to:


    Capital Mac Service of Upstate New York started this petition with a single signature, and now has 552 supporters. Start a petition today to change something you care about.




    Today: Capital Mac Service of Upstate New York is counting on you

    Capital Mac Service of Upstate New York needs your help with “Adobe Systems, Apple: Convince Adobe to Issue Patches for Older Creative Suite Software on Mac OS X El Capitan”. Join Capital Mac Service of Upstate New York and 551 supporters today.